OP Inference
API reference

List tools

GET
/v1/tools

Every agent tool your key can use (web search, scrape and fetch, enrichment, SEO data), with its input and published price.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Your API key, sent as Authorization: Bearer <key>.

Response Body

The tools.

application/json
  1. response
object*string
data*array<>
curl -X GET "https://example.com/v1/tools" \  -H "Authorization: Bearer $OP_API_KEY"
{  "object": "list",  "data": [    {      "id": "string",      "object": "tool",      "modality": "tool",      "pricing": {},      "inputs": {}    }  ]}